Bug 1670419 - Add support for pulling container images from registries that require authentication
Summary: Add support for pulling container images from registries that require authent...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M3
: 15.0 (Stein)
Assignee: Steve Baker
QA Contact: Victor Voronkov
URL:
Whiteboard:
Depends On:
Blocks: 1703866 1750446
TreeView+ depends on / blocked
 
Reported: 2019-01-29 13:57 UTC by Marius Cornea
Modified: 2019-11-11 20:30 UTC (History)
10 users (show)

Fixed In Version: openstack-tripleo-common-10.7.1-0.20190423125010.2199eeb.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1703866 (view as bug list)
Environment:
Last Closed: 2019-09-21 11:19:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1823579 0 None None None 2019-04-08 13:35:20 UTC
OpenStack gerrit 650598 0 'None' MERGED Add parameter ContainerImageRegistryCredentials 2020-09-08 13:28:19 UTC
OpenStack gerrit 651005 0 'None' MERGED Use ContainerImageRegistryCredentials for registry auth 2020-09-08 13:28:19 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:20:21 UTC

Description Marius Cornea 2019-01-29 13:57:51 UTC
Description of problem:

Currently, during the undercloud/overcloud installation we only support pulling images from registries that not require authentication(registry.access.redhat.com being the default). Since registry.access.redhat.com is going to be replaced with registry.redhat.io which requires authentication we should provide a way for the user to input registry authentication credentials. 

A potential workaround for now is to run docker login manually on both the undercloud and inside the mistral_executor container.

Comment 12 errata-xmlrpc 2019-09-21 11:19:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.